using System;

namespace ConsoleApp92
{
    class Program
    {
        static void Main(string[] args)
        {
            int N, L;
            string[] n_l = Console.ReadLine().Split();
            N = int.Parse(n_l[0]); L = int.Parse(n_l[1]);
            int izlaz = -1;
            string[] H = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                if (int.Parse(H[i]) <= L)
                {
                    izlaz = i + 1;
                    break;
                }
            }
            Console.WriteLine(izlaz);
        }
    }
}